# DescribeEipRemoteRegions

## 1. API Description

This API (DescribeEipRemoteRegions) is used to query the information on remote regions supporting the sale of elastic IPs.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name          | Required | Type                                                                                                     | Description                                                                                |
| ----------------------- | -------- | -------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| regionId                | Yes      | String                                                                                                   | Region ID.                                                                                 |
| eipV4Type \[Deprecated] | No       | [EipNetworkType](https://docs.console.zenlayer.com/api-reference/compute/datastructure#eipnetworktype)   | <p>Network types of public IPv4.</p><p>Deprecated. Please use networkLineType instead.</p> |
| networkLineType         | No       | [NetworkLineType](https://docs.console.zenlayer.com/api-reference/compute/datastructure#networklinetype) | Network types of public IPv4.                                                              |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| peerRegionIds  | Array of String | Information on remote region IDs.                                                                                     |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query remote region IDs.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipRemoteRegions


Request:
{
  "regionId": "xxx",
  "eipV4Type": "xxx"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "peerRegionIds": ["xxx","xxx"]
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
